Subject: Re: bug#37171: preview-latex TeX files

From: Ikumi Keita <[email-masked]>
Date: Sat, 24 Aug 2019 23:03:29 +0900

>>>>> Arash Esbati <[email-masked]> writes:
> Hi Reinhard,
> Reinhard Kotucha <[email-masked]> writes:

>> I'm now wondering whether it's possible to maintain the preview-latex
>> TeX files within the auctex directory i.e., make auctex/preview-latex
>> self-contained.  Given that preview-latex makes only sense when
>> invoked from within Emacs, then the TeX files can be put into the
>> auctex directory and something like
>> 
>> (setenv "TEXINPUTS" (concat "<path/to/auctex/preview>:" (getenv "TEXINPUTS")))
>> 
>> makes the files accessible to TeX.

> AUCTeX comes with plenty of options for configure.  I think you want to
> set `--with-lispdir', `--with-tex-dir' and `--with-doc-dir' to
> directories of your choice.  Please check the manaul for more
> details[1].

I always do
./configure --with-texmf-dir=/usr/local/texlive/texmf-local
and it works well.  That place is common to all versions of TeXLive.

>>>>> Reinhard Kotucha <[email-masked]> writes:
> Furthermore, I'm using Emacs on various machines and thus I install
> local additions in ~/.emacs.d/site-lisp rather than in /usr/local and
> use version control (Subversion) in order to keep all my machines in
> sync.  You can't imagine how convenient this is.

You might be interested in syncing with rsync: https://rsync.samba.org/

Regards,
Ikumi Keita